SetWorkingDir %A_ScriptDir%
IniFileName := "Loader_Settings.ini"

sleep 250
Iniread, WinTaskVisible, %IniFileName%, STARTBAR, Visible
Iniread, BgiEnable, %IniFileName%, BGLOAD, Enable
iniread, BgiFilename, %IniFileName%, BGLOAD, backgroundimagename
iniread, GameExe, %IniFileName%, GAME, ExeToRun
iniread, GameWndTitle, %IniFileName%, GAME, WindowTitle
iniread, SleepTimeallowed, %IniFileName%, GAME, SleepTimeAllowed
iniread, Xpos, %IniFileName%, GAME, Xplace
iniread, Ypos, %IniFileName%, GAME, Yplace
iniread, Xsize, %IniFileName%, GAME, Xsize
iniread, Ysize, %IniFileName%, GAME, Ysize

ClipCursor( Confine=True, x1=0 , y1=0, x2=1, y2=1 ) 
{
 	VarSetCapacity(R,16,0), NumPut(x1,&R+0), NumPut(y1,&R+4), NumPut(x2,&R+8), NumPut(y2,&R+12)
	Return Confine ? DllCall( "ClipCursor", UInt,&R ) : DllCall( "ClipCursor" )
}

;;;<-------------------------- The windows menu / bar ------------------------>;;;
If ( WinTaskVisible = "False" )
{
	
	WinHide, ahk_class Shell_TrayWnd
	WinHide, Start ahk_class Button 
	;Winset, Transparent, 0, ahk_class Shell_TrayWnd
}

;;;<-------------------------- The background image ------------------------>;;;
If ( BgiEnable = "True" )
{
	Gui, Margin, 0,0
	Gui 1:-owner -toolwindow -caption +LastFound
	gui, Add, Picture, % "W" . A_ScreenWidth . " H" . A_ScreenHeight . " X0 Y0", %BgiFileName% ; Change to any picture file 

	Gui, Show, % "W" . A_ScreenWidth . " H" . A_ScreenHeight . " X0 Y0", background
	GuiControlGet, Pic, Pos, MyPic
	xx := (A_ScreenWidth-picw)/2
	yy := (A_ScreenHeight-pich)/2
	GuiControl, MoveDraw, MyPic, x%xx% y%yy%
	WinSet,Transparent,0 ,background
}

;;;<-------------------------- Run the game ------------------------>;;;
run, %GameExe%

;;;------------------ Window Resize---------------------;;;
WinWait, %GameWndTitle%
Winshow, %GameWndTitle%
WinActivate, %GameWndTitle%
Winset , style, -0x00CF0000, %GameWndTitle%
WinMove, %GameWndTitle%, ,%Xpos%, %Ypos%, %Xsize%, %Ysize%

;;;------------------ Capturing mouse in window ---------------------;;;
ClipCursor( True, Xpos, Ypos, Xpos + Xsize, Ypos + Ysize)


;;----exit commands and cleanup;;
~Esc:: 
iniwrite, %GameWndTitle%, %IniFileName%, debug, Lastgame
iniwrite, Resized %Gameh% %gamew% %Pos3% %Pos2% Game detected width/h %width% %height%, %IniFileName%, debug, LastPos
ClipCursor( False,0,0,0,0)
Process, Close, %GameWndTitle%
WinKill, %GameWndTitle%
WinShow, ahk_class Shell_TrayWnd
WinShow, Start ahk_class Button 
	
Exitapp
Return

